<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="dsPayroll" targetNamespace="http://tempuri.org/dsPayroll.xsd" xmlns:mstns="http://tempuri.org/dsPayroll.xsd" xmlns="http://tempuri.org/dsPayroll.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections />
        <Tables />
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="dsPayroll" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="dsPayroll" msprop:Generator_UserDSName="dsPayroll">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Employee_Information" msprop:Generator_TableClassName="Employee_InformationDataTable" msprop:Generator_TableVarName="tableEmployee_Information" msprop:Generator_RowChangedName="Employee_InformationRowChanged" msprop:Generator_TablePropName="Employee_Information" msprop:Generator_RowDeletingName="Employee_InformationRowDeleting" msprop:Generator_RowChangingName="Employee_InformationRowChanging" msprop:Generator_RowEvHandlerName="Employee_InformationRowChangeEventHandler" msprop:Generator_RowDeletedName="Employee_InformationRowDeleted" msprop:Generator_RowClassName="Employee_InformationRow" msprop:Generator_UserTableName="Employee_Information" msprop:Generator_RowEvArgName="Employee_InformationRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="EMPLOYEE_ID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnEMPLOYEE_ID" msprop:Generator_ColumnPropNameInRow="EMPLOYEE_ID" msprop:Generator_ColumnPropNameInTable="EMPLOYEE_IDColumn" msprop:Generator_UserColumnName="EMPLOYEE_ID" type="xs:long" />
              <xs:element name="EMP_CODE" msprop:Generator_ColumnVarNameInTable="columnEMP_CODE" msprop:Generator_ColumnPropNameInRow="EMP_CODE" msprop:Generator_ColumnPropNameInTable="EMP_CODEColumn" msprop:Generator_UserColumnName="EMP_CODE" type="xs:string" minOccurs="0" />
              <xs:element name="EmployeesName" msprop:Generator_ColumnVarNameInTable="columnEmployeesName" msprop:Generator_ColumnPropNameInRow="EmployeesName" msprop:Generator_ColumnPropNameInTable="EmployeesNameColumn" msprop:Generator_UserColumnName="EmployeesName" type="xs:string" minOccurs="0" />
              <xs:element name="FathersName" msprop:Generator_ColumnVarNameInTable="columnFathersName" msprop:Generator_ColumnPropNameInRow="FathersName" msprop:Generator_ColumnPropNameInTable="FathersNameColumn" msprop:Generator_UserColumnName="FathersName" type="xs:string" minOccurs="0" />
              <xs:element name="Address" msprop:Generator_ColumnVarNameInTable="columnAddress" msprop:Generator_ColumnPropNameInRow="Address" msprop:Generator_ColumnPropNameInTable="AddressColumn" msprop:Generator_UserColumnName="Address" type="xs:string" minOccurs="0" />
              <xs:element name="PhoneNumber" msprop:Generator_ColumnVarNameInTable="columnPhoneNumber" msprop:Generator_ColumnPropNameInRow="PhoneNumber" msprop:Generator_ColumnPropNameInTable="PhoneNumberColumn" msprop:Generator_UserColumnName="PhoneNumber" type="xs:string" minOccurs="0" />
              <xs:element name="MobileNumber" msprop:Generator_ColumnVarNameInTable="columnMobileNumber" msprop:Generator_ColumnPropNameInRow="MobileNumber" msprop:Generator_ColumnPropNameInTable="MobileNumberColumn" msprop:Generator_UserColumnName="MobileNumber" type="xs:string" minOccurs="0" />
              <xs:element name="DateOfBirth" msprop:Generator_ColumnVarNameInTable="columnDateOfBirth" msprop:Generator_ColumnPropNameInRow="DateOfBirth" msprop:Generator_ColumnPropNameInTable="DateOfBirthColumn" msprop:Generator_UserColumnName="DateOfBirth" type="xs:dateTime" minOccurs="0" />
              <xs:element name="PassportNo" msprop:Generator_ColumnVarNameInTable="columnPassportNo" msprop:Generator_ColumnPropNameInRow="PassportNo" msprop:Generator_ColumnPropNameInTable="PassportNoColumn" msprop:Generator_UserColumnName="PassportNo" type="xs:string" minOccurs="0" />
              <xs:element name="Gender" msprop:Generator_ColumnVarNameInTable="columnGender" msprop:Generator_ColumnPropNameInRow="Gender" msprop:Generator_ColumnPropNameInTable="GenderColumn" msprop:Generator_UserColumnName="Gender" type="xs:string" minOccurs="0" />
              <xs:element name="MaritalStatus" msprop:Generator_ColumnVarNameInTable="columnMaritalStatus" msprop:Generator_ColumnPropNameInRow="MaritalStatus" msprop:Generator_ColumnPropNameInTable="MaritalStatusColumn" msprop:Generator_UserColumnName="MaritalStatus" type="xs:string" minOccurs="0" />
              <xs:element name="JobTitle" msprop:Generator_ColumnVarNameInTable="columnJobTitle" msprop:Generator_ColumnPropNameInRow="JobTitle" msprop:Generator_ColumnPropNameInTable="JobTitleColumn" msprop:Generator_UserColumnName="JobTitle" type="xs:string" minOccurs="0" />
              <xs:element name="DateOfCommencement" msprop:Generator_ColumnVarNameInTable="columnDateOfCommencement" msprop:Generator_ColumnPropNameInRow="DateOfCommencement" msprop:Generator_ColumnPropNameInTable="DateOfCommencementColumn" msprop:Generator_UserColumnName="DateOfCommencement" type="xs:dateTime" minOccurs="0" />
              <xs:element name="PHOTO_FILE_NAME" msprop:Generator_ColumnVarNameInTable="columnPHOTO_FILE_NAME" msprop:Generator_ColumnPropNameInRow="PHOTO_FILE_NAME" msprop:Generator_ColumnPropNameInTable="PHOTO_FILE_NAMEColumn" msprop:Generator_UserColumnName="PHOTO_FILE_NAME" type="xs:string" minOccurs="0" />
              <xs:element name="BasicSalary" msprop:Generator_ColumnVarNameInTable="columnBasicSalary" msprop:Generator_ColumnPropNameInRow="BasicSalary" msprop:Generator_ColumnPropNameInTable="BasicSalaryColumn" msprop:Generator_UserColumnName="BasicSalary" type="xs:string" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="AttendanceSummary" msprop:Generator_TableClassName="AttendanceSummaryDataTable" msprop:Generator_TableVarName="tableAttendanceSummary" msprop:Generator_RowChangedName="AttendanceSummaryRowChanged" msprop:Generator_TablePropName="AttendanceSummary" msprop:Generator_RowDeletingName="AttendanceSummaryRowDeleting" msprop:Generator_RowChangingName="AttendanceSummaryRowChanging" msprop:Generator_RowEvHandlerName="AttendanceSummaryRowChangeEventHandler" msprop:Generator_RowDeletedName="AttendanceSummaryRowDeleted" msprop:Generator_RowClassName="AttendanceSummaryRow" msprop:Generator_UserTableName="AttendanceSummary" msprop:Generator_RowEvArgName="AttendanceSummaryRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="EMP_CODE" msprop:Generator_ColumnVarNameInTable="columnEMP_CODE" msprop:Generator_ColumnPropNameInRow="EMP_CODE" msprop:Generator_ColumnPropNameInTable="EMP_CODEColumn" msprop:Generator_UserColumnName="EMP_CODE" type="xs:string" minOccurs="0" />
              <xs:element name="EmployeesName" msprop:Generator_ColumnVarNameInTable="columnEmployeesName" msprop:Generator_ColumnPropNameInRow="EmployeesName" msprop:Generator_ColumnPropNameInTable="EmployeesNameColumn" msprop:Generator_UserColumnName="EmployeesName" type="xs:string" minOccurs="0" />
              <xs:element name="FathersName" msprop:Generator_ColumnVarNameInTable="columnFathersName" msprop:Generator_ColumnPropNameInRow="FathersName" msprop:Generator_ColumnPropNameInTable="FathersNameColumn" msprop:Generator_UserColumnName="FathersName" type="xs:string" minOccurs="0" />
              <xs:element name="ShiftName" msprop:Generator_ColumnVarNameInTable="columnShiftName" msprop:Generator_ColumnPropNameInRow="ShiftName" msprop:Generator_ColumnPropNameInTable="ShiftNameColumn" msprop:Generator_UserColumnName="ShiftName" type="xs:string" minOccurs="0" />
              <xs:element name="DepartmentName" msprop:Generator_ColumnVarNameInTable="columnDepartmentName" msprop:Generator_ColumnPropNameInRow="DepartmentName" msprop:Generator_ColumnPropNameInTable="DepartmentNameColumn" msprop:Generator_UserColumnName="DepartmentName" type="xs:string" minOccurs="0" />
              <xs:element name="EMPLOYEE_ID" msprop:Generator_ColumnVarNameInTable="columnEMPLOYEE_ID" msprop:Generator_ColumnPropNameInRow="EMPLOYEE_ID" msprop:Generator_ColumnPropNameInTable="EMPLOYEE_IDColumn" msprop:Generator_UserColumnName="EMPLOYEE_ID" type="xs:long" minOccurs="0" />
              <xs:element name="TimeIn" msprop:Generator_ColumnVarNameInTable="columnTimeIn" msprop:Generator_ColumnPropNameInRow="TimeIn" msprop:Generator_ColumnPropNameInTable="TimeInColumn" msprop:Generator_UserColumnName="TimeIn" type="xs:dateTime" minOccurs="0" />
              <xs:element name="TimeOut" msprop:Generator_ColumnVarNameInTable="columnTimeOut" msprop:Generator_ColumnPropNameInRow="TimeOut" msprop:Generator_ColumnPropNameInTable="TimeOutColumn" msprop:Generator_UserColumnName="TimeOut" type="xs:dateTime" minOccurs="0" />
              <xs:element name="AttendanceDate" msprop:Generator_ColumnVarNameInTable="columnAttendanceDate" msprop:Generator_ColumnPropNameInRow="AttendanceDate" msprop:Generator_ColumnPropNameInTable="AttendanceDateColumn" msprop:Generator_UserColumnName="AttendanceDate" type="xs:dateTime" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Allowance" msprop:Generator_TableClassName="AllowanceDataTable" msprop:Generator_TableVarName="tableAllowance" msprop:Generator_TablePropName="Allowance" msprop:Generator_RowDeletingName="AllowanceRowDeleting" msprop:Generator_RowChangingName="AllowanceRowChanging" msprop:Generator_RowEvHandlerName="AllowanceRowChangeEventHandler" msprop:Generator_RowDeletedName="AllowanceRowDeleted" msprop:Generator_UserTableName="Allowance" msprop:Generator_RowChangedName="AllowanceRowChanged" msprop:Generator_RowEvArgName="AllowanceRowChangeEvent" msprop:Generator_RowClassName="AllowanceRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="EMPLOYEE_ID" msprop:Generator_ColumnVarNameInTable="columnEMPLOYEE_ID" msprop:Generator_ColumnPropNameInRow="EMPLOYEE_ID" msprop:Generator_ColumnPropNameInTable="EMPLOYEE_IDColumn" msprop:Generator_UserColumnName="EMPLOYEE_ID" type="xs:long" minOccurs="0" />
              <xs:element name="EMP_CODE" msprop:Generator_ColumnVarNameInTable="columnEMP_CODE" msprop:Generator_ColumnPropNameInRow="EMP_CODE" msprop:Generator_ColumnPropNameInTable="EMP_CODEColumn" msprop:Generator_UserColumnName="EMP_CODE" type="xs:string" minOccurs="0" />
              <xs:element name="EmployeesName" msprop:Generator_ColumnVarNameInTable="columnEmployeesName" msprop:Generator_ColumnPropNameInRow="EmployeesName" msprop:Generator_ColumnPropNameInTable="EmployeesNameColumn" msprop:Generator_UserColumnName="EmployeesName" type="xs:string" minOccurs="0" />
              <xs:element name="MobileNumber" msprop:Generator_ColumnVarNameInTable="columnMobileNumber" msprop:Generator_ColumnPropNameInRow="MobileNumber" msprop:Generator_ColumnPropNameInTable="MobileNumberColumn" msprop:Generator_UserColumnName="MobileNumber" type="xs:string" minOccurs="0" />
              <xs:element name="EnrollDate" msprop:Generator_ColumnVarNameInTable="columnEnrollDate" msprop:Generator_ColumnPropNameInRow="EnrollDate" msprop:Generator_ColumnPropNameInTable="EnrollDateColumn" msprop:Generator_UserColumnName="EnrollDate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="AllowanceName" msprop:Generator_ColumnVarNameInTable="columnAllowanceName" msprop:Generator_ColumnPropNameInRow="AllowanceName" msprop:Generator_ColumnPropNameInTable="AllowanceNameColumn" msprop:Generator_UserColumnName="AllowanceName" type="xs:string" minOccurs="0" />
              <xs:element name="AllowanceAmount" msprop:Generator_ColumnVarNameInTable="columnAllowanceAmount" msprop:Generator_ColumnPropNameInRow="AllowanceAmount" msprop:Generator_ColumnPropNameInTable="AllowanceAmountColumn" msprop:Generator_UserColumnName="AllowanceAmount" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Overtime" msprop:Generator_TableClassName="OvertimeDataTable" msprop:Generator_TableVarName="tableOvertime" msprop:Generator_RowChangedName="OvertimeRowChanged" msprop:Generator_TablePropName="Overtime" msprop:Generator_RowDeletingName="OvertimeRowDeleting" msprop:Generator_RowChangingName="OvertimeRowChanging" msprop:Generator_RowEvHandlerName="OvertimeRowChangeEventHandler" msprop:Generator_RowDeletedName="OvertimeRowDeleted" msprop:Generator_RowClassName="OvertimeRow" msprop:Generator_UserTableName="Overtime" msprop:Generator_RowEvArgName="OvertimeRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="EMPLOYEE_ID" msprop:Generator_ColumnVarNameInTable="columnEMPLOYEE_ID" msprop:Generator_ColumnPropNameInRow="EMPLOYEE_ID" msprop:Generator_ColumnPropNameInTable="EMPLOYEE_IDColumn" msprop:Generator_UserColumnName="EMPLOYEE_ID" type="xs:long" minOccurs="0" />
              <xs:element name="EMP_CODE" msprop:Generator_ColumnVarNameInTable="columnEMP_CODE" msprop:Generator_ColumnPropNameInRow="EMP_CODE" msprop:Generator_ColumnPropNameInTable="EMP_CODEColumn" msprop:Generator_UserColumnName="EMP_CODE" type="xs:string" minOccurs="0" />
              <xs:element name="EmployeesName" msprop:Generator_ColumnVarNameInTable="columnEmployeesName" msprop:Generator_ColumnPropNameInRow="EmployeesName" msprop:Generator_ColumnPropNameInTable="EmployeesNameColumn" msprop:Generator_UserColumnName="EmployeesName" type="xs:string" minOccurs="0" />
              <xs:element name="MobileNumber" msprop:Generator_ColumnVarNameInTable="columnMobileNumber" msprop:Generator_ColumnPropNameInRow="MobileNumber" msprop:Generator_ColumnPropNameInTable="MobileNumberColumn" msprop:Generator_UserColumnName="MobileNumber" type="xs:string" minOccurs="0" />
              <xs:element name="EnrollDate" msprop:Generator_ColumnVarNameInTable="columnEnrollDate" msprop:Generator_ColumnPropNameInRow="EnrollDate" msprop:Generator_ColumnPropNameInTable="EnrollDateColumn" msprop:Generator_UserColumnName="EnrollDate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="StartTime" msprop:Generator_ColumnVarNameInTable="columnStartTime" msprop:Generator_ColumnPropNameInRow="StartTime" msprop:Generator_ColumnPropNameInTable="StartTimeColumn" msprop:Generator_UserColumnName="StartTime" type="xs:dateTime" minOccurs="0" />
              <xs:element name="EndTime" msprop:Generator_ColumnVarNameInTable="columnEndTime" msprop:Generator_ColumnPropNameInRow="EndTime" msprop:Generator_ColumnPropNameInTable="EndTimeColumn" msprop:Generator_UserColumnName="EndTime" type="xs:dateTime" minOccurs="0" />
              <xs:element name="Overtime_Mins" msprop:Generator_ColumnVarNameInTable="columnOvertime_Mins" msprop:Generator_ColumnPropNameInRow="Overtime_Mins" msprop:Generator_ColumnPropNameInTable="Overtime_MinsColumn" msprop:Generator_UserColumnName="Overtime_Mins" type="xs:double" minOccurs="0" />
              <xs:element name="OvertimeRate" msprop:Generator_ColumnVarNameInTable="columnOvertimeRate" msprop:Generator_ColumnPropNameInRow="OvertimeRate" msprop:Generator_ColumnPropNameInTable="OvertimeRateColumn" msprop:Generator_UserColumnName="OvertimeRate" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="SalarySlip" msprop:Generator_TableClassName="SalarySlipDataTable" msprop:Generator_TableVarName="tableSalarySlip" msprop:Generator_TablePropName="SalarySlip" msprop:Generator_RowDeletingName="SalarySlipRowDeleting" msprop:Generator_RowChangingName="SalarySlipRowChanging" msprop:Generator_RowEvHandlerName="SalarySlipRowChangeEventHandler" msprop:Generator_RowDeletedName="SalarySlipRowDeleted" msprop:Generator_UserTableName="SalarySlip" msprop:Generator_RowChangedName="SalarySlipRowChanged" msprop:Generator_RowEvArgName="SalarySlipRowChangeEvent" msprop:Generator_RowClassName="SalarySlipRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="PAYROLL_ID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnPAYROLL_ID" msprop:Generator_ColumnPropNameInRow="PAYROLL_ID" msprop:Generator_ColumnPropNameInTable="PAYROLL_IDColumn" msprop:Generator_UserColumnName="PAYROLL_ID" type="xs:int" />
              <xs:element name="EMP_CODE" msprop:Generator_ColumnVarNameInTable="columnEMP_CODE" msprop:Generator_ColumnPropNameInRow="EMP_CODE" msprop:Generator_ColumnPropNameInTable="EMP_CODEColumn" msprop:Generator_UserColumnName="EMP_CODE" type="xs:string" minOccurs="0" />
              <xs:element name="EmployeesName" msprop:Generator_ColumnVarNameInTable="columnEmployeesName" msprop:Generator_ColumnPropNameInRow="EmployeesName" msprop:Generator_ColumnPropNameInTable="EmployeesNameColumn" msprop:Generator_UserColumnName="EmployeesName" type="xs:string" minOccurs="0" />
              <xs:element name="FathersName" msprop:Generator_ColumnVarNameInTable="columnFathersName" msprop:Generator_ColumnPropNameInRow="FathersName" msprop:Generator_ColumnPropNameInTable="FathersNameColumn" msprop:Generator_UserColumnName="FathersName" type="xs:string" minOccurs="0" />
              <xs:element name="MobileNumber" msprop:Generator_ColumnVarNameInTable="columnMobileNumber" msprop:Generator_ColumnPropNameInRow="MobileNumber" msprop:Generator_ColumnPropNameInTable="MobileNumberColumn" msprop:Generator_UserColumnName="MobileNumber" type="xs:string" minOccurs="0" />
              <xs:element name="SalaryDate" msprop:Generator_ColumnVarNameInTable="columnSalaryDate" msprop:Generator_ColumnPropNameInRow="SalaryDate" msprop:Generator_ColumnPropNameInTable="SalaryDateColumn" msprop:Generator_UserColumnName="SalaryDate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="BasicSalary" msprop:Generator_ColumnVarNameInTable="columnBasicSalary" msprop:Generator_ColumnPropNameInRow="BasicSalary" msprop:Generator_ColumnPropNameInTable="BasicSalaryColumn" msprop:Generator_UserColumnName="BasicSalary" type="xs:double" minOccurs="0" />
              <xs:element name="Overtime" msprop:Generator_ColumnVarNameInTable="columnOvertime" msprop:Generator_ColumnPropNameInRow="Overtime" msprop:Generator_ColumnPropNameInTable="OvertimeColumn" msprop:Generator_UserColumnName="Overtime" type="xs:double" minOccurs="0" />
              <xs:element name="Allowances" msprop:Generator_ColumnVarNameInTable="columnAllowances" msprop:Generator_ColumnPropNameInRow="Allowances" msprop:Generator_ColumnPropNameInTable="AllowancesColumn" msprop:Generator_UserColumnName="Allowances" type="xs:double" minOccurs="0" />
              <xs:element name="Bonus" msprop:Generator_ColumnVarNameInTable="columnBonus" msprop:Generator_ColumnPropNameInRow="Bonus" msprop:Generator_ColumnPropNameInTable="BonusColumn" msprop:Generator_UserColumnName="Bonus" type="xs:double" minOccurs="0" />
              <xs:element name="GrossPay" msprop:Generator_ColumnVarNameInTable="columnGrossPay" msprop:Generator_ColumnPropNameInRow="GrossPay" msprop:Generator_ColumnPropNameInTable="GrossPayColumn" msprop:Generator_UserColumnName="GrossPay" type="xs:double" minOccurs="0" />
              <xs:element name="Deduction" msprop:Generator_ColumnVarNameInTable="columnDeduction" msprop:Generator_ColumnPropNameInRow="Deduction" msprop:Generator_ColumnPropNameInTable="DeductionColumn" msprop:Generator_UserColumnName="Deduction" type="xs:double" minOccurs="0" />
              <xs:element name="CashAdvance" msprop:Generator_ColumnVarNameInTable="columnCashAdvance" msprop:Generator_ColumnPropNameInRow="CashAdvance" msprop:Generator_ColumnPropNameInTable="CashAdvanceColumn" msprop:Generator_UserColumnName="CashAdvance" type="xs:double" minOccurs="0" />
              <xs:element name="IncomeTAX" msprop:Generator_ColumnVarNameInTable="columnIncomeTAX" msprop:Generator_ColumnPropNameInRow="IncomeTAX" msprop:Generator_ColumnPropNameInTable="IncomeTAXColumn" msprop:Generator_UserColumnName="IncomeTAX" type="xs:double" minOccurs="0" />
              <xs:element name="FinalSalary" msprop:Generator_ColumnVarNameInTable="columnFinalSalary" msprop:Generator_ColumnPropNameInRow="FinalSalary" msprop:Generator_ColumnPropNameInTable="FinalSalaryColumn" msprop:Generator_UserColumnName="FinalSalary" type="xs:double" minOccurs="0" />
              <xs:element name="TotalPresentDays" msprop:Generator_ColumnVarNameInTable="columnTotalPresentDays" msprop:Generator_ColumnPropNameInRow="TotalPresentDays" msprop:Generator_ColumnPropNameInTable="TotalPresentDaysColumn" msprop:Generator_UserColumnName="TotalPresentDays" type="xs:double" minOccurs="0" />
              <xs:element name="SalaryDateFrom" msprop:Generator_ColumnVarNameInTable="columnSalaryDateFrom" msprop:Generator_ColumnPropNameInRow="SalaryDateFrom" msprop:Generator_ColumnPropNameInTable="SalaryDateFromColumn" msprop:Generator_UserColumnName="SalaryDateFrom" type="xs:dateTime" minOccurs="0" />
              <xs:element name="SalaryDateTo" msprop:Generator_ColumnVarNameInTable="columnSalaryDateTo" msprop:Generator_ColumnPropNameInRow="SalaryDateTo" msprop:Generator_ColumnPropNameInTable="SalaryDateToColumn" msprop:Generator_UserColumnName="SalaryDateTo" type="xs:dateTime" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1">
      <xs:selector xpath=".//mstns:Employee_Information" />
      <xs:field xpath="mstns:EMPLOYEE_ID" />
    </xs:unique>
    <xs:unique name="SalarySlip_Constraint1" msdata:ConstraintName="Constraint1">
      <xs:selector xpath=".//mstns:SalarySlip" />
      <xs:field xpath="mstns:PAYROLL_ID" />
    </xs:unique>
  </xs:element>
</xs:schema>